# New ports collection makefile for:	sox - Sound Exchange
# Date created:		17 Oct 1994
# Whom:			torstenb
#
# $FreeBSD: ports/audio/sox/Makefile,v 1.21 2002/07/20 15:32:40 naddy Exp $
#

PORTNAME=	sox-dev
PORTVERSION=	12.17.3
PORTREVISION=	1
CATEGORIES=	audio
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	sox
DISTNAME=	sox-${PORTVERSION}

MAINTAINER=		yves@gnu-darwin.org

MAN3=			libst.3
GNU_CONFIGURE=		yes

.if defined(WITH_VORBIS)
CONFIGURE_ARGS+=	--with-ogg-vorbisinc=${LOCALBASE}/include \
		 	--with-ogg-vorbislib=${LOCALBASE}/lib
LIB_DEPENDS+=		vorbis.2:${PORTSDIR}/audio/libvorbis
.else
CONFIGURE_ARGS+=	--with-ogg-vorbisinc=no
.endif
ALL_TARGET=		libst.a
INSTALL_TARGET=		install-lib
.include <bsd.port.mk>
